gnutls_x509_crt_get_expiration_time(3)

NAME
gnutls_x509_crt_get_expiration_time - This function returns the Certificate's expiration time

SYNOPSIS
#include <gnutls/x509.h>

time_t gnutls_x509_crt_get_expiration_time(gnutls_x509_crt_t cert);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

DESCRIPTION
This function will return the time this Certificate was or will be expired. Returns (time_t)-1 on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.